## helm repo index

generate an index file given a directory containing packaged charts

### Synopsis


Read the current directory and generate an index file based on the charts found.

This tool is used for creating an 'index.yaml' file for a chart repository. To
set an absolute URL to the charts, use '--url' flag.

To merge the generated index with an existing index file, use the '--merge'
flag. In this case, the charts found in the current directory will be merged
into the existing index, with local charts taking priority over existing charts.


```
helm repo index [flags] [DIR]
```

### Options

```
  -h, --help           help for index
      --merge string   merge the generated index into the given index
      --url string     url of chart repository
```

### Options inherited from parent commands

```
      --debug                           enable verbose output
      --home string                     location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     address of Tiller. Overrides $HELM_HOST
      --kube-context string             name of the kubeconfig context to use
      --kubeconfig string               absolute path to the kubeconfig file to use
      --tiller-connection-timeout int   the duration (in seconds) Helm will wait to establish a connection to tiller (default 300)
      --tiller-namespace string         namespace of Tiller (default "kube-system")
```

### SEE ALSO

* [helm repo](helm_repo.md)	 - add, list, remove, update, and index chart repositories

###### Auto generated by spf13/cobra on 1-Aug-2018
